"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkix/build/temp.win-amd64-cpython-310/Release/rdkix_install\\share/RDKix\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A68160>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A681F0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A68280>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A68310>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A683A0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A68430>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A684C0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A68550>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A685E0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A68670>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A68700>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A68790>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A68820>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A688B0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A68940>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A689D0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A68A60>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A68AF0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A68B80>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A68C10>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A68CA0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A68D30>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A68DC0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A68E50>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A68F70>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A68EE0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A69000>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A69090>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A69120>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A691B0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A69240>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A692D0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A69360>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A693F0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A69480>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A69510>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A695A0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A69630>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A696C0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A69750>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A697E0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A69870>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A69900>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A69990>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A69A20>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A69AB0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A69B40>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A69BD0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A69C60>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A69CF0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A69D80>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A69E10>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A69EA0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A69F30>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A69FC0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6A050>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6A0E0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6A170>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6A200>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6A290>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6A320>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6A3B0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6A440>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6A4D0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6A560>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6A710>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6A5F0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6A7A0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6A830>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6A8C0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6A950>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6A9E0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6AB00>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6AA70>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6AB90>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6AC20>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6ACB0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6ADD0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6AD40>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6AE60>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6AEF0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6AF80>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6B010>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6B0A0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000023ED1A6B130>)]
name: str = 'fr_HOCCN'
